#version 330 core
precision mediump float;

out vec4 frag_color;
in vec2 texcoord;

uniform sampler2D tex;

void main()
{
	vec4 texture_sample = texture(tex, texcoord);
	if (texture_sample.a < 0.5f) // alpha clipping
	{
		discard;
	}
	frag_color = texture_sample;
}