#version 460

out vec4 fragColour;
in vec2 texCoord;

uniform layout (binding = 0) sampler2D scene_colour;

void main()
{
	//Get scene colour
    vec3 colour = texture(scene_colour, texCoord).xyz;
	
	//Return color
	fragColour = vec4(colour, 1.0);
} 