#version 420 core
precision mediump float;
layout (location = 0) in vec3 i_position;
layout (location = 1) in vec2 i_texcoord;
out vec2 texcoord;

uniform float uv_correction_padding_x;

void main()
{
	gl_Position = vec4(i_position, 1);
	texcoord.x = i_texcoord.x * uv_correction_padding_x;
	texcoord.y = i_texcoord.y;
}